// Initial software: Apparent Relief Version 1.0
// Co-authors: Romain VERGNE, Pascal BARLA, Xavier GRANIER and Christophe SCHLICK.
// Owners: INRIA, University of Bordeaux 1 and University of Bordeaux 2.
// Copyright © 2009-2010, spread under the terms and conditions of the license CeCILL B Version 2.0.


#version 120
#extension GL_ARB_draw_buffers : enable

varying vec3  normal;
varying vec3  lightDir;
varying vec3  viewDir;
varying float kmin;
varying float kmax;
varying float depth;

void main(void) {
  vec3  n   = normalize(normal);
  vec3  v   = normalize(viewDir);
  float l   = max(dot(normal,lightDir),0.0);

  // projected normal
  vec2  NP = (n-dot(n,v)*v).xy;

  // shape data (texture name: shapedata)
  gl_FragData[0] = vec4(n.x,n.y,kmax,kmin);
  
  // other utils data (texture name: utils)
  gl_FragData[1] = vec4(l,depth,1.0,1.0);
}
